[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: libvirt-dbus-ma ster-check » libvirt-fedora-27 #350



See <https://ci.centos.org/job/libvirt-dbus-master-check/systems=libvirt-fedora-27/350/display/redirect>

------------------------------------------
[...truncated 7.25 KB...]
    
        for i in range(10):
            if self.bus.name_has_owner('org.libvirt'):
                break
            time.sleep(0.1)
        else:
>           raise TimeoutError('error starting libvirt-dbus')
E           TimeoutError: error starting libvirt-dbus

../../tests/libvirttest.py:44: TimeoutError
---------------------------- Captured stderr setup -----------------------------
dbus-daemon[27782]: Cannot setup inotify for '/home/jenkins/.local/share/dbus-1/services'; error 'Permission denied'
 ERROR at setup of TestConnect.test_connect_interface_lookup_by_property[InterfaceLookupByMAC-MAC] 

self = <test_connect.TestConnect object at 0x7efee821c320>

    @pytest.fixture
    def interface_create(self):
        """ Fixture to define dummy interface on the test driver
    
            This fixture should be used in the setup of every test manipulating
            with interfaces.
            """
        path = self.connect.InterfaceDefineXML(xmldata.minimal_interface_xml, 0)
        obj = self.bus.get_object('org.libvirt', path)
        interface_obj = dbus.Interface(obj, 'org.libvirt.Interface')
>       interface_obj.Create(0)

../../tests/libvirttest.py:84: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib64/python3.6/site-packages/dbus/proxies.py:70: in __call__
    return self._proxy_method(*args, **keywords)
/usr/lib64/python3.6/site-packages/dbus/proxies.py:145: in __call__
    **keywords)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <dbus._dbus.SessionBus (session) at 0x7efee86b9938>
bus_name = dbus.String(':1.1')
object_path = dbus.ObjectPath('/org/libvirt/Test/interface/11_3a22_3a33_3a44_3a55_3a66')
dbus_interface = 'org.libvirt.Interface', method = 'Create', signature = 'u'
args = (0,), timeout = -1.0, byte_arrays = False, kwargs = {}
get_args_opts = {'byte_arrays': False}
message = <dbus.lowlevel.MethodCallMessage path: /org/libvirt/Test/interface/11_3a22_3a33_3a44_3a55_3a66, iface: org.libvirt.Interface, member: Create dest: :1.1>

    def call_blocking(self, bus_name, object_path, dbus_interface, method,
                      signature, args, timeout=-1.0,
                      byte_arrays=False, **kwargs):
        """Call the given method, synchronously.
            :Since: 0.81.0
            """
        if object_path == LOCAL_PATH:
            raise DBusException('Methods may not be called on the reserved '
                                'path %s' % LOCAL_PATH)
        if dbus_interface == LOCAL_IFACE:
            raise DBusException('Methods may not be called on the reserved '
                                'interface %s' % LOCAL_IFACE)
        # no need to validate other args - MethodCallMessage ctor will do
    
        get_args_opts = dict(byte_arrays=byte_arrays)
        if is_py2:
            get_args_opts['utf8_strings'] = kwargs.get('utf8_strings', False)
        elif 'utf8_strings' in kwargs:
            raise TypeError("unexpected keyword argument 'utf8_strings'")
    
        message = MethodCallMessage(destination=bus_name,
                                    path=object_path,
                                    interface=dbus_interface,
                                    method=method)
        # Add the arguments to the function
        try:
            message.append(signature=signature, *args)
        except Exception as e:
            logging.basicConfig()
            _logger.error('Unable to set arguments %r according to '
                          'signature %r: %s: %s',
                          args, signature, e.__class__, e)
            raise
    
        # make a blocking call
        reply_message = self.send_message_with_reply_and_block(
>           message, timeout)
E       dbus.exceptions.DBusException: org.libvirt.Error: Requested operation is not valid

/usr/lib64/python3.6/site-packages/dbus/connection.py:651: DBusException
 ERROR at setup of TestConnect.test_connect_storage_vol_lookup_by_property[StorageVolLookupByPath-Path] 

self = <test_connect.TestConnect object at 0x7efee823c630>

    @pytest.fixture
    def storage_volume_create(self):
        """ Fixture to create dummy storage volume on the test driver
    
            This fixture should be used in the setup of every test manipulating
            with test volume.
            """
        _, test_storage_pool = self.get_test_storage_pool()
        interface_obj = dbus.Interface(test_storage_pool,
                                       'org.libvirt.StoragePool')
>       path = interface_obj.StorageVolCreateXML(xmldata.minimal_storage_vol_xml, 0)

../../tests/libvirttest.py:122: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib64/python3.6/site-packages/dbus/proxies.py:70: in __call__
    return self._proxy_method(*args, **keywords)
/usr/lib64/python3.6/site-packages/dbus/proxies.py:145: in __call__
    **keywords)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <dbus._dbus.SessionBus (session) at 0x7efee86b9938>
bus_name = dbus.String(':1.1')
object_path = dbus.ObjectPath('/org/libvirt/Test/storagepool/_dfe224cb_28fb_8dd0_c4b2_64eb3f0f4566')
dbus_interface = 'org.libvirt.StoragePool', method = 'StorageVolCreateXML'
signature = 'su'
args = ('\n<volume>\n  <name>sparse.img</name>\n  <capacity unit="G">2</capacity>\n  <target>\n    <path>/var/lib/virt/images/sparse.img</path>\n  </target>\n</volume>\n', 0)
timeout = -1.0, byte_arrays = False, kwargs = {}
get_args_opts = {'byte_arrays': False}
message = <dbus.lowlevel.MethodCallMessage path: /org/libvirt/Test/storagepool/_dfe224cb_28fb_8dd0_c4b2_64eb3f0f4566, iface: org.libvirt.StoragePool, member: StorageVolCreateXML dest: :1.1>

    def call_blocking(self, bus_name, object_path, dbus_interface, method,
                      signature, args, timeout=-1.0,
                      byte_arrays=False, **kwargs):
        """Call the given method, synchronously.
            :Since: 0.81.0
            """
        if object_path == LOCAL_PATH:
            raise DBusException('Methods may not be called on the reserved '
                                'path %s' % LOCAL_PATH)
        if dbus_interface == LOCAL_IFACE:
            raise DBusException('Methods may not be called on the reserved '
                                'interface %s' % LOCAL_IFACE)
        # no need to validate other args - MethodCallMessage ctor will do
    
        get_args_opts = dict(byte_arrays=byte_arrays)
        if is_py2:
            get_args_opts['utf8_strings'] = kwargs.get('utf8_strings', False)
        elif 'utf8_strings' in kwargs:
            raise TypeError("unexpected keyword argument 'utf8_strings'")
    
        message = MethodCallMessage(destination=bus_name,
                                    path=object_path,
                                    interface=dbus_interface,
                                    method=method)
        # Add the arguments to the function
        try:
            message.append(signature=signature, *args)
        except Exception as e:
            logging.basicConfig()
            _logger.error('Unable to set arguments %r according to '
                          'signature %r: %s: %s',
                          args, signature, e.__class__, e)
            raise
    
        # make a blocking call
        reply_message = self.send_message_with_reply_and_block(
>           message, timeout)
E       dbus.exceptions.DBusException: org.libvirt.Error: operation failed: storage vol already exists

/usr/lib64/python3.6/site-packages/dbus/connection.py:651: DBusException
=================================== FAILURES ===================================
______ TestConnect.test_connect_domain_lookup_by_id[DomainLookupByID-Id] _______

self = <test_connect.TestConnect object at 0x7efee81c8e48>
lookup_method_name = 'DomainLookupByID', lookup_item = 'Id'

    @pytest.mark.parametrize("lookup_method_name,lookup_item", [
        ("DomainLookupByID", 'Id'),
        ("DomainLookupByName", 'Name'),
        ("DomainLookupByUUID", 'UUID'),
    ])
    def test_connect_domain_lookup_by_id(self, lookup_method_name, lookup_item):
        """Parameterized test for all DomainLookupBy* API calls of Connect interface
            """
        original_path = self.connect.ListDomains(0)[0]
        obj, _ = self.get_test_domain()
        props = obj.GetAll('org.libvirt.Domain', dbus_interface=dbus.PROPERTIES_IFACE)
>       path = getattr(self.connect, lookup_method_name)(props[lookup_item])

../../tests/test_connect.py:51: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib64/python3.6/site-packages/dbus/proxies.py:145: in __call__
    **keywords)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <dbus._dbus.SessionBus (session) at 0x7efee86b9938>
bus_name = dbus.String(':1.1'), object_path = '/org/libvirt/Test'
dbus_interface = 'org.libvirt.Connect', method = 'DomainLookupByID'
signature = 'i', args = (dbus.UInt32(0, variant_level=2),), timeout = -1.0
byte_arrays = False, kwargs = {}, get_args_opts = {'byte_arrays': False}
message = <dbus.lowlevel.MethodCallMessage path: /org/libvirt/Test, iface: org.libvirt.Connect, member: DomainLookupByID dest: :1.1>

    def call_blocking(self, bus_name, object_path, dbus_interface, method,
                      signature, args, timeout=-1.0,
                      byte_arrays=False, **kwargs):
        """Call the given method, synchronously.
            :Since: 0.81.0
            """
        if object_path == LOCAL_PATH:
            raise DBusException('Methods may not be called on the reserved '
                                'path %s' % LOCAL_PATH)
        if dbus_interface == LOCAL_IFACE:
            raise DBusException('Methods may not be called on the reserved '
                                'interface %s' % LOCAL_IFACE)
        # no need to validate other args - MethodCallMessage ctor will do
    
        get_args_opts = dict(byte_arrays=byte_arrays)
        if is_py2:
            get_args_opts['utf8_strings'] = kwargs.get('utf8_strings', False)
        elif 'utf8_strings' in kwargs:
            raise TypeError("unexpected keyword argument 'utf8_strings'")
    
        message = MethodCallMessage(destination=bus_name,
                                    path=object_path,
                                    interface=dbus_interface,
                                    method=method)
        # Add the arguments to the function
        try:
            message.append(signature=signature, *args)
        except Exception as e:
            logging.basicConfig()
            _logger.error('Unable to set arguments %r according to '
                          'signature %r: %s: %s',
                          args, signature, e.__class__, e)
            raise
    
        # make a blocking call
        reply_message = self.send_message_with_reply_and_block(
>           message, timeout)
E       dbus.exceptions.DBusException: org.libvirt.Error: Domain not found

/usr/lib64/python3.6/site-packages/dbus/connection.py:651: DBusException
--------------------------- Captured stderr teardown ---------------------------
Disconnected from D-Bus.
____________________ TestConnect.test_connect_list_domains _____________________

self = <test_connect.TestConnect object at 0x7efee822e2b0>

    def test_connect_list_domains(self):
        domains = self.connect.ListDomains(0)
        assert isinstance(domains, dbus.Array)
>       assert len(domains) == 1
E       AssertionError: assert 2 == 1
E        +  where 2 = len(dbus.Array([dbus.ObjectPath('/org/libvirt/Test/domain/_9a3b9042_d93c_4567_9e55_6d5cf8676716'), dbus.ObjectPath('/org/libvirt/Test/domain/_6695eb01_f6a4_8304_79aa_97f2502e193f')], signature=dbus.Signature('o')))

../../tests/test_connect.py:62: AssertionError
================ 2 failed, 30 passed, 3 error in 12.12 seconds =================
FAIL test_connect.py (exit status: 1)

+ exit 1
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]